Differences between revisions 1 and 13 (spanning 12 versions)
Revision 1 as of 2016-04-20 08:46:48
Size: 2804
Editor: vauss
Comment: french translation
Revision 13 as of 2021-09-22 18:58:04
Size: 3051
Editor: vauss
Comment: sync with English version
Deletions are marked like this. Additions are marked like this.
Line 2: Line 2:
~-[[DebianWiki/EditorGuide#translation|Translation(s)]]: [[StableUpdates|English]] - Français - [[it/StableUpdates|Italiano]]-~ ~-[[DebianWiki/EditorGuide#translation|Translation(s)]]: [[StableUpdates|English]] - [[es/StableUpdates|Español]] - Français - [[it/StableUpdates|Italiano]] - [[ru/StableUpdates|Русский]] -~
Line 8: Line 8:
Quelques paquets de [[StableProposedUpdates|proposed-updates]] peuvent également être rendus disponibles via le mécanisme de {{{stable-updates}}}. Les utilisateurs qui le souhaitent peuvent ainsi obtenir des mises à jours avant la prochaine version intermédiaire pour des paquets tels que des anti-virus ou des données de fuseaux horaires. Tous les paquets dans {{{stable-updates}}} seront ensuite inclus dans les prochaines versions intermédiaires. Quelques paquets de [[fr/StableProposedUpdates|proposed-updates]] peuvent également être rendus disponibles via le mécanisme de {{{stable-updates}}}. Il s'agit de mises à jour pour des paquets tels que des anti-virus ou des données de fuseaux horaires, qui peuvent être utiles aux utilisateurs d'installer avant la prochaine version intermédiaire. Tous les paquets dans {{{stable-updates}}} seront ensuite inclus dans les prochaines versions intermédiaires.
Line 10: Line 10:
Avec [[fr/DebianJessie|Debian 8 « Jessie »]], pour utiliser les paquets de {{{jessie-updates}}} (aussi appelé {{{stable-updates}}}), vous pouvez ajouter une entrée dans votre fichier [[fr/SourcesList|sources.list]]. Par exemple : {{{
deb http://httpredir.debian.org/debian jessie-updates main contrib
deb-src http://httpredir.debian.org/debian jessie-updates main contrib
Avec la version Debian <<DebianVersion(stable)>> <<DebianCodenameLink(stable)>>, pour utiliser les paquets de {{{bullseye-update}}} (aussi appelé {{{stable-updates}}}), vous pouvez ajouter une entrée dans votre fichier [[fr/SourcesList|sources.list]]. Par exemple : {{{
deb http://deb.debian.org/debian bullseye-updates main
deb-src http://deb.debian.org/debian bullseye-updates main
Line 15: Line 15:
Avec [[fr/DebianWheezy|Debian 7 « Wheezy »]], pour utiliser les paquets de {{{wheezy-updates}}} (aussi appelé {{{oldstable-updates}}}), vous pouvez ajouter une entrée dans votre fichier [[fr/SourcesList|sources.list]]. Par exemple : {{{
deb http://httpredir.debian.org/debian wheezy-updates main contrib
deb-src http://httpredir.debian.org/debian wheezy-updates main contrib
Pour la version Debian <<DebianVersion(oldstable)>> <<DebianCodenameLink(oldstable)>>, afin d'utiliser des paquets de {{{buster-updates}}} (aka {{{oldstable-updates}}}), vous pouvez ajouter une entrée dans votre fichier [[fr/SourcesList|sources.list]]. Par exemple : {{{
deb http://deb.debian.org/debian buster-updates main
deb-src http://deb.debian.org/debian buster-updates main
Line 20: Line 20:
La prochaine fois que vous lancerez {{{apt-get update}}}, le système prendra en compte les paquets dans la section (old)stable-updates et proposera des mises à jour de paquet en conséquence. Pour [[fr/DebianJessie|Debian 8 « Jessie »]], {{{jessie-updates}}} n'existe désormais plus, car elle ne reçoit plus de mises à jours depuis le 17-05-2018.
Line 22: Line 22:
Notez que si {{{APT::Default-Release}}} est configuré dans votre {{{/etc/apt/apt.conf}}} (ou dans n'importe lequel de votre {{{/etc/apt/apt.conf.d/*}}}), pour que les mises à jour automatiques fonctionnent, il est alors nécessaire d'ajouter un bloc de configuration similaire à {{{/etc/apt/preferences}}} (voir [[DebianMan:5/apt_preferences|apt_preferences(5)]] pour plus d'informations) : {{{ La prochaine fois que vous lancerez {{{apt update}}}, le système prendra en compte les paquets dans la section (old)stable-updates et proposera des mises à jour de paquet en conséquence.

Notez que si {{{APT::Default-Release}}} est configuré dans votre [[AptConf|configuration apt]] (ou dans n'importe lequel de votre {{{/etc/apt/apt.conf.d/*}}}), pour que les mises à jour automatiques fonctionnent, certains [[AptPreferences|apt pinning]] doivent être ajoutés (voir [[DebianMan:5/apt_preferences|apt_preferences(5)]] pour plus d'informations) : {{{
Line 24: Line 26:
Pin: release o=Debian,n=jessie-updates Pin: release o=Debian,n=buster-updates
Line 33: Line 35:
 * [[fr/DebianReleases]]

Translation(s): English - Español - Français - Italiano - Русский


stable-updates

Introduction

Quelques paquets de proposed-updates peuvent également être rendus disponibles via le mécanisme de stable-updates. Il s'agit de mises à jour pour des paquets tels que des anti-virus ou des données de fuseaux horaires, qui peuvent être utiles aux utilisateurs d'installer avant la prochaine version intermédiaire. Tous les paquets dans stable-updates seront ensuite inclus dans les prochaines versions intermédiaires.

Avec la version Debian 11.1 Bullseye, pour utiliser les paquets de bullseye-update (aussi appelé stable-updates), vous pouvez ajouter une entrée dans votre fichier sources.list. Par exemple :

deb     http://deb.debian.org/debian bullseye-updates main
deb-src http://deb.debian.org/debian bullseye-updates main

Pour la version Debian 10.11 Buster, afin d'utiliser des paquets de buster-updates (aka oldstable-updates), vous pouvez ajouter une entrée dans votre fichier sources.list. Par exemple :

deb     http://deb.debian.org/debian buster-updates main
deb-src http://deb.debian.org/debian buster-updates main

Pour Debian 8 « Jessie », jessie-updates n'existe désormais plus, car elle ne reçoit plus de mises à jours depuis le 17-05-2018.

La prochaine fois que vous lancerez apt update, le système prendra en compte les paquets dans la section (old)stable-updates et proposera des mises à jour de paquet en conséquence.

Notez que si APT::Default-Release est configuré dans votre configuration apt (ou dans n'importe lequel de votre /etc/apt/apt.conf.d/*), pour que les mises à jour automatiques fonctionnent, certains apt pinning doivent être ajoutés (voir apt_preferences(5) pour plus d'informations) :

Package: *
Pin: release o=Debian,n=buster-updates
Pin-Priority: 990

Quand une nouvelle version d'un paquet est disponible via (old)stable-updates, cela est annoncé dans la liste de diffusion debian-stable-announce.

stable-updates a été introduit dans Debian Squeeze pour replacer la section Volatile de Debian Lenny (voir l'annonce).

Voir aussi